cpw.mods.fml.common.discovery

## Class ModCandidate

- java.lang.Object
- - cpw.mods.fml.common.discovery.ModCandidate

-     public class ModCandidate
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModCandidate(File classPathRoot, File modContainer, ContainerType sourceType)`
    `ModCandidate(File classPathRoot, File modContainer, ContainerType sourceType, boolean isMinecraft, boolean classpath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClassEntry(String name)`
    `List<ModContainer>` | `explore(ASMDataTable table)`
    `Set<String>` | `getClassList()`
    `File` | `getClassPathRoot()`
    `List<ModContainer>` | `getContainedMods()`
    `List<String>` | `getContainedPackages()`
    `File` | `getModContainer()`
    `List<String>` | `getRememberedBaseMods()`
    `ContainerType` | `getSourceType()`
    `boolean` | `isClasspath()`
    `boolean` | `isMinecraftJar()`
    `void` | `rememberBaseModType(String className)`
    `void` | `rememberModCandidateType(ASMModParser modParser)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModCandidate

          public ModCandidate(File classPathRoot,
                      File modContainer,
                      ContainerType sourceType)

    - #### ModCandidate

          public ModCandidate(File classPathRoot,
                      File modContainer,
                      ContainerType sourceType,
                      boolean isMinecraft,
                      boolean classpath)

  - ### Method Detail

    - #### getClassPathRoot

          public File getClassPathRoot()

    - #### getModContainer

          public File getModContainer()

    - #### getSourceType

          public ContainerType getSourceType()

    - #### explore

          public List<ModContainer> explore(ASMDataTable table)

    - #### addClassEntry

          public void addClassEntry(String name)

    - #### isClasspath

          public boolean isClasspath()

    - #### rememberBaseModType

          public void rememberBaseModType(String className)

    - #### getRememberedBaseMods

          public List<String> getRememberedBaseMods()

    - #### isMinecraftJar

          public boolean isMinecraftJar()

    - #### rememberModCandidateType

          public void rememberModCandidateType(ASMModParser modParser)

    - #### getClassList

          public Set<String> getClassList()

    - #### getContainedMods

          public List<ModContainer> getContainedMods()

    - #### getContainedPackages

          public List<String> getContainedPackages()